package com.example.ReceiveItem.producer;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Component;

/**
 * Message producer class to produce messages into kafka topic
 */
@Component("/msgProducer")
public class MessageProducer {

    private static final Logger log = LoggerFactory.getLogger(MessageProducer.class.getName());

    @Autowired
    KafkaTemplate<String, String> template;

    @Value("${app.topic.name}")
    private String topicName;

    /**
     * Publish the item to kafka topic
     * @param item The item
     */
    public void publishItem(String item){
        template.send(topicName,item);
        log.info("published item {} ::",item);
    }
}
